/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 
package org.eclipse.actf.model.javapp.locate;


import java.awt.Component;
import java.util.Locale;

import org.apache.commons.jxpath.ri.QName;
import org.apache.commons.jxpath.ri.model.NodePointer;
import org.apache.commons.jxpath.ri.model.NodePointerFactory;

public class SwingNodePointerFactory implements NodePointerFactory
{

	public static final int SWING_POINTER_FACTORY_ORDER = 3;
	
	public NodePointer createNodePointer(QName name, Object object, Locale locale) {
		return object instanceof Component
			? new SwingNodePointer((Component) object, locale) : null;
	}

	public NodePointer createNodePointer(NodePointer parent, QName name, Object object) {
		return object instanceof Component
		? new SwingNodePointer((Component) object, parent, null) : null;
	}

	public int getOrder() {
		return SWING_POINTER_FACTORY_ORDER;
	}

}
