/*******************************************************************************
 * Copyright (c) 2004, 2007 IBM Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Mike Squillace - initial API and implementation
 *******************************************************************************/

package org.eclipse.actf.model.javapp.locate;

import java.util.Locale;

import org.apache.commons.jxpath.ri.compiler.NodeTest;
import org.apache.commons.jxpath.ri.model.NodeIterator;
import org.apache.commons.jxpath.ri.model.NodePointer;
import org.eclipse.actf.model.javapp.SwtGuiModel;
import org.eclipse.actf.model.locate.BaseNodePointer;
import org.eclipse.swt.widgets.Widget;


public class SwtNodePointer extends BaseNodePointer
{

	private Widget component;

	public SwtNodePointer (Widget comp, Locale locale) {
		this(comp, null, locale);
	}

	public SwtNodePointer (Widget comp, NodePointer parent, Locale locale) {
		super(parent, locale, SwtGuiModel.SWT_MODEL);
		component = comp;
	}

	public Object getBaseValue () {
		return component;
	}

	public Object getImmediateNode () {
		return component;
	}

	public NodeIterator childIterator (NodeTest test, boolean reverse,
										NodePointer startWith) {
		return new SwtNodeIterator(this, test, reverse, startWith, model);
	}
}
