package org.eclipse.actf.validation.doc.rulebase;

/**
 * represents a &lt;raven:alias&gt; element in a document. The 'name' attribute is the token that is used 
 * throughout the document to stand for the value of the 'value' attribute.
 * 
 * @author <a href="mailto:masquill@us.ibm.com">Mike Squillace</a>
 *
 */
public class AliasElement extends BaseElement
{
	private String value;
	
	public AliasElement (String name, String text, String value) {
		super(name, text);
		this.value = value;
	}
	
	public String getValue () {
		return value;
	}

}
