/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.javapp.agent;

import java.lang.instrument.ClassFileTransformer;
import java.lang.instrument.Instrumentation;

import org.eclipse.actf.validation.javapp.launch.AspectJValidationLauncher;


/**
 * agent for instrumenting .class files in JDK 1.5.x mode of launcher.
 * 
 * @author Mike Squillace
 */
public class Agent
{

	/**
	 * invoked by JVM (JSR-163)
	 * 
	 * @param agentArgs
	 * @param inst
	 */
	public static void premain (String agentArgs, Instrumentation inst) {
		boolean usingAJ = agentArgs == null
				|| agentArgs.equals(AspectJValidationLauncher.ASPECTJ_AGENT);
		ClassFileTransformer transformer = null;
		if (usingAJ) {
			transformer = new AspectJTransformer();
		}else {
			throw new IllegalArgumentException("Unsupported AOP framework:"
					+ agentArgs);
		}
		if (transformer != null) {
			inst.addTransformer(transformer);
		}
	}
}
