/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.javapp.aspects;

import java.awt.Component;

import javax.swing.JComponent;

import org.aspectj.lang.JoinPoint;

import org.eclipse.actf.model.javapp.SwingGuiModel;

public aspect SwingAspectJValidationAspect extends AspectJValidationAspect
{

	public SwingAspectJValidationAspect () {
		super(SwingGuiModel.SWING_MODEL);
	}
	
	pointcut instantiationPointcut(Object newObj):
		(this(JComponent) && this(newObj) && initialization(*.new(..)))
			|| (this(Object) && this(newObj) && call(javax.swing.J*.new(..)));
	
	pointcut validationPointcut(Object component):
		target(Component) && target(component)
			&& (call(public void *.setVisible(boolean)) || call(public void *.show())
					// TODO will be removed once user can specify validation triggers	
					|| call(public void javax.swing.JTabbedPane.setSelectedIndex(int)));

	protected boolean shouldValidate (JoinPoint jp) {
		Object[] args = jp.getArgs();
		String name = jp.getSignature().getName();
		return name.equals("show") || name.equals("setSelectedIndex")
			|| (name.equals("setVisible") && ((Boolean) args[0]).booleanValue());
	}

}
