/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.javapp.aspects;

import org.aspectj.lang.JoinPoint;

import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Widget;

import org.eclipse.actf.model.javapp.SwtGuiModel;

public aspect SwtAspectJValidationAspect extends AspectJValidationAspect
{

	public SwtAspectJValidationAspect () {
		super(SwtGuiModel.SWT_MODEL);
	}
	
	pointcut instantiationPointcut(Object newObj):
		this(Widget) && this(newObj) && initialization(*.new(..));
	
	pointcut validationPointcut(Object component):
		target(Control) && target(component) && call(public void *.setVisible(boolean));

	protected boolean shouldValidate (JoinPoint jp) {
		Object[] args = jp.getArgs();
		return args.length != 1
			|| (args[0] instanceof Boolean && ((Boolean) args[0]).booleanValue());
	}
}
