/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.javapp.aspects;

import org.eclipse.swt.widgets.Control;

import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Widget;

import org.eclipse.actf.model.javapp.SwtGuiModel;

public aspect SwtIntraJvmValidationAspect extends IntraJvmValidationAspect
{

	public SwtIntraJvmValidationAspect () {
		super(SwtGuiModel.SWT_MODEL);
	}
	
	pointcut validationPointcut(Object component):
		(target(Shell) && target(component) && call(public void *.open()))
			|| (target(Control) && target(component) && call(public void *.setVisible(boolean)));
		
	pointcut instantiationPointcut(Object newObj):
		(this(Widget) && this(newObj) && initialization(*.new(..)))
			|| (this(Object) && this(newObj) && call(org.eclipse.swt.widgets.*.new(..)));
	
	pointcut terminationPointcut():
		call(public void java.lang.System.exit(int))
			|| call(public void org.eclipse.swt.widgets.Display.dispose());
	
}
