/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.javapp.ui.actions;

import org.eclipse.actf.validation.javapp.ui.views.RenderedGuiView;
import org.eclipse.actf.validation.ui.actions.AbstractAction;
import org.eclipse.actf.validation.ui.jobs.ValidationJob;
import org.eclipse.jface.action.IAction;

public class GuiValidateAction extends AbstractAction
{

	public GuiValidateAction () {
		super();
	}

	public void run (IAction action) {
		if (view instanceof RenderedGuiView) {
			RenderedGuiView rgv = (RenderedGuiView) view;
			ValidationJob job = rgv.getValidationJob();
			if (job != null && job.getResource() != null) {
				job.setProperty(ValidationJob.NEW_ACTION_QNAME, Boolean.TRUE);
				job.schedule(1000);
			}
		}
	}
}
