/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.javapp.ui.launch;

import org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup;
import org.eclipse.debug.ui.ILaunchConfigurationDialog;
import org.eclipse.debug.ui.ILaunchConfigurationTab;

public class JavaLauncherTabGroup extends AbstractLaunchConfigurationTabGroup
{

	public JavaLauncherTabGroup () {
		super();
	}

	public void createTabs (ILaunchConfigurationDialog dialog, String mode) {
		String[] tabNames = new String[] {
				"org.eclipse.jdt.debug.ui.launchConfigurations.JavaMainTab",
				"org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab",
				"org.eclipse.jdt.debug.ui.launchConfigurations.JavaJRETab",
				"org.eclipse.jdt.debug.ui.launchConfigurations.JavaClasspathTab",
				"org.eclipse.debug.ui.sourcelookup.SourceLookupTab",
				"org.eclipse.debug.ui.EnvironmentTab",
				"org.eclipse.debug.ui.CommonTab",
				"org.eclipse.actf.validation.javapp.ui.launch.JavaLaunchConfigurationTab"};
		ILaunchConfigurationTab[] tabs = new ILaunchConfigurationTab[tabNames.length];
		for (int t = 0; t < tabs.length; ++t) {
			try {
				tabs[t] = (ILaunchConfigurationTab) Class.forName(tabNames[t]).newInstance();
			}catch (Exception e) {
			}
		}
		setTabs(tabs);
	}
}
