/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.javapp.ui.launch;

import org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup;
import org.eclipse.debug.ui.ILaunchConfigurationDialog;
import org.eclipse.debug.ui.ILaunchConfigurationTab;

public class WorkbenchLauncherTabGroup extends AbstractLaunchConfigurationTabGroup
{

	public WorkbenchLauncherTabGroup () {
		super();
	}

	public void createTabs (ILaunchConfigurationDialog dialog, String mode) {
		String[] tabNames = null;
		boolean usesEclipseApp = WorkbenchLaunchConfigurationDelegate.isEclipse32();
		if (usesEclipseApp) {
			tabNames = new String[] {
					"org.eclipse.pde.ui.launcher.MainTab",
					"org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab",
					"org.eclipse.pde.ui.launcher.PluginsTab",
					"org.eclipse.pde.ui.launcher.ConfigurationTab",
					"org.eclipse.pde.ui.launcher.TracingTab",
					"org.eclipse.debug.ui.EnvironmentTab",
					"org.eclipse.debug.ui.CommonTab",
					"org.eclipse.actf.validation.javapp.ui.launch.JavaLaunchConfigurationTab"};
		}else {
			tabNames = new String[] {
					"org.eclipse.pde.internal.ui.launcher.BasicLauncherTab",
					"org.eclipse.pde.internal.ui.launcher.AdvancedLauncherTab",
					"org.eclipse.pde.internal.ui.launcher.ConfigurationTab",
					"org.eclipse.pde.internal.ui.launcher.TracingLauncherTab",
					"org.eclipse.debug.ui.EnvironmentTab",
					"org.eclipse.debug.ui.CommonTab",
					"org.eclipse.actf.validation.javapp.ui.launch.JavaLaunchConfigurationTab"};
		}
		ILaunchConfigurationTab[] tabs = new ILaunchConfigurationTab[tabNames.length];
		for (int t = 0; t < tabs.length; ++t) {
			try {
				tabs[t] = (ILaunchConfigurationTab) Class.forName(tabNames[t]).newInstance();
			}catch (Exception e) {
			}
		}
		setTabs(tabs);
	}
}
