/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  John Buslawski - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.javapp.validators;

import org.eclipse.actf.validation.rules.IRuleSet;
import org.eclipse.actf.validation.validators.GenericAccessibilityValidator;

/**
 * SwtAccessibilityValidator is the SWT specific implementation of the AccessbilityValidator
 * class.
 *  
 * @author John Buslawski
 */
public class SwtAccessibilityValidator extends GenericAccessibilityValidator
{

	/**
	 * Create a new SwtAccessibilityValidator for the given IRuleSet and 
	 * IValidationContext.
	 * 
	 * @param iRuleSet -- the specific IRuleSet class where the rules for the
	 * 				component are defined
	 * @param context --  validation context to use when evaluating the component
	 */
	public SwtAccessibilityValidator (IRuleSet ruleSet) {
		super(ruleSet);
	}
} // SwtAccessibilityValidator
