/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.rules;

import java.util.LinkedList;
import java.util.List;

/**
 * 
 * 
 */
public class ComponentCriteria {

	List criteria = new LinkedList();

	public ComponentCriteria(List criteria) {
		setCriteria(criteria);
	}

	public ComponentCriteria() {
	}

	/**
	 * 
	 * @return
	 */
	public List getCriteria() {
		return criteria;
	}

	/**
	 * 
	 * @param criteria
	 */
	public void setCriteria(List criteria) {
		if (criteria != null) {
			this.criteria = criteria;
		}
	}

	/**
	 * 
	 * @param criteria
	 * @return
	 */
	public boolean addCriteria(IRule criteria) {
		if (criteria != null) {
			this.criteria.add(criteria);
			return true;
		} else {
			return false;
		}
	}

	/**
	 * 
	 * @param criteria
	 * @return
	 */
	public boolean removeCriteria(IRule criteria) {
		if (criteria != null && this.criteria.contains(criteria)) {
			this.criteria.remove(criteria);
			return true;
		} else {
			return false;
		}
	}
}
