/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui;

import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IWorkbenchWindow;
import org.osgi.framework.BundleContext;

/**
 * The main plugin class to be used in the desktop.
 */
public class ValidationUiPlugin extends AbstractValidationUIPlugin {

	public static final String VALIDATION_UI_PLUGIN_ID = "org.eclipse.actf.validation.ui";
	
	public static final String VALIDATION_UI_PLUGIN_CLASS = "org.eclipse.actf.validation.ui.AbstractValidationUIPlugin"; 

	public static final String VALIDATION_PLUGIN_RESOURCE_ID = VALIDATION_UI_PLUGIN_ID + "Resources";

	public static final String DEFAULT_IMAGE_NAME = "actf.gif";

	public static final String VALIDATION_UI_TRACE_FILE = "ui_trace.out";
	
	private static ValidationUiPlugin plugin;

	public String getPluginId() {
		return VALIDATION_UI_PLUGIN_ID;
	}

	public String getResourceBundleId() {
		return VALIDATION_PLUGIN_RESOURCE_ID;
	}

	protected String getTraceOptionId() {
		return "org.eclipse.actf.validation.ui/debug/trace";
	}

	protected String getDebugOptionId() {
		return "org.eclipse.actf.validation.ui/debug";
	}

	protected String getLogOptionId() {
		return "org.eclipse.actf.validation.ui/debug/log";
	}
	
	protected String getDefaultImageName() {
		return DEFAULT_IMAGE_NAME;
	}
	
	protected String getValidationTraceFile() {
		return VALIDATION_UI_TRACE_FILE;
	}
	
	public ValidationUiPlugin() {
		super();
		plugin = this;
	}
	
	public static ValidationUiPlugin getDefault() {
		return plugin;
	}
	
	/**
	 * This method is called upon plug-in activation
	 */
	public void start (BundleContext context) throws Exception {
		// Be sure to register bundles and load plugins before starting
		// to be sure resources can be found
		
		super.start(context);
	}

	/**
	 * This method is called when the plug-in is stopped
	 */
	public void stop (BundleContext context) throws Exception {
		super.stop(context);
	}	
	
	public Shell getShell() {
		Shell result = null;
		IWorkbenchWindow window = getDefault().getWorkbench()
				.getActiveWorkbenchWindow();
		if (window != null) {
			result = window.getShell();
		}
		return result;
	}	
}
