/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.actions;

import org.eclipse.actf.validation.ui.views.ReportView;
import org.eclipse.jface.action.IAction;
import org.eclipse.swt.dnd.Clipboard;
import org.eclipse.swt.dnd.TextTransfer;
import org.eclipse.swt.dnd.Transfer;
import org.eclipse.swt.widgets.Display;


public class CopyToClipboardAction extends AbstractAction
{

	public CopyToClipboardAction () {
		super();
	}

	/**
	 * 
	 * Copy the report to the clipboard in text format. 
	 * 
	 */
	public void run (IAction action) {
		if (view instanceof ReportView) {
			ReportView rv = (ReportView) view;
			//  first check to be sure if there are any lines in the report
			if (rv.checkForContent()) {
				Clipboard clipboard = new Clipboard(Display.getCurrent());
				String report = rv.exportTextToClipboard();
				clipboard.setContents(
					new Object[] {report},
					new Transfer[] {TextTransfer.getInstance()});
				clipboard.dispose();
			}else { // should never get here - log error
				plugin.logError("Report has no data to export");
			}
		}
	}
}
