/*******************************************************************************
* Copyright (c) 2004, 2007 IBM Corporation.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
*
* Contributors:
*  Mike Squillace - initial API and implementation
*******************************************************************************/ 

package org.eclipse.actf.validation.ui.filters;

import org.eclipse.actf.validation.reports.ValidationReport;
import org.eclipse.jface.viewers.Viewer;
import org.eclipse.jface.viewers.ViewerSorter;


public class ReportManagerViewerSorter extends ViewerSorter
{

	public static final int USER = 0;

	public static final int SOURCE = 1;

	public static final int TOOL = 2;

	public static final int TIMESTAMP = 3;

	private int sortingField = -1;

	private boolean ascending = true;

	public boolean isSorterProperty (Object element, String property) {
		return true;
	}

	public int compare (Viewer viewer, Object e1, Object e2) {
		String o1 = null, o2 = null;
		ValidationReport r1 = (ValidationReport) e1;
		ValidationReport r2 = (ValidationReport) e2;
		switch (sortingField) {
		//TODO move to report feature
		/*case USER:
			o1 = r1.getProperty(ReportServices.USERID_KEY);
			o2 = r2.getProperty(ReportServices.USERID_KEY);
			break;*/
		case SOURCE:
			o1 = r1.getSource();
			o2 = r2.getSource();
			break;
		case TOOL:
			o1 = r1.getTool();
			o2 = r2.getTool();
			//TODO move to report feature
			/*o1 = r1.getProperty(ReportServices.TOOL_KEY);
			o2 = r2.getProperty(ReportServices.TOOL_KEY);*/
			break;
		case TIMESTAMP:
			o1 = r1.getTimestamp().toString();
			o2 = r2.getTimestamp().toString();
			//TODO move to report feature
			/*o1 = r1.getProperty(ReportServices.TIMESTAMP_KEY);
			o2 = r2.getProperty(ReportServices.TIMESTAMP_KEY);*/
			break;
		}
		if (ascending) {
			return o1.compareTo(o2);
		}else {
			return o2.compareTo(o1);
		}
	}

	/**
	 * @param sortingField The sortingField to set.
	 */
	public void setSortingField (int field, boolean direction) {
		sortingField = field;
		ascending = direction;
	}
}
